Error after YUM Update

Support for the other architectures (X86_64, IA-64, and PowerPC)
Post Reply
gilesaj
Posts: 47
Joined: 2006/08/16 23:53:23
Location: Australia
Contact:

Error after YUM Update

Post by gilesaj » 2010/11/24 04:33:10

CentOS release 5 (Final) 64 bit installed and have been running a web server from the PC for a few years. I trid "YUM Update" and after downloading 600MB when it tried to install I got the following error. Is there a way to install the updates and get past this error.

I am nor very linux savy

(322/322): NetworkManager 100% |=========================| 1.1 MB 00:03
Running Transaction Test
Finished Transaction Test


Transaction Check Error:
package dmraid-1.0.0.rc14-5_RHEL4_U5 (which is newer than dmraid-1.0.0.rc13-63.el5) is already installed
package dmraid-1.0.0.rc14-6_RHEL4_U5 (which is newer than dmraid-1.0.0.rc13-63.el5) is already installed
file /usr/share/man/man8/dmraid.8.gz from install of dmraid-1.0.0.rc13-63.el5 conflicts with file from package dmraid-1.0.0.rc14-5_RHEL4_U5
file /usr/share/man/man8/dmraid.8.gz from install of dmraid-1.0.0.rc13-63.el5 conflicts with file from package dmraid-1.0.0.rc14-6_RHEL4_U5

Error Summary
-------------

gilesaj
Posts: 47
Joined: 2006/08/16 23:53:23
Location: Australia
Contact:

Re: Error after YUM Update

Post by gilesaj » 2010/11/24 05:12:20

Looks like I jagged a fix for this. I looked at thye versions of dmraid that was installed and the 32 bit version wwas the one that was newer. I removed the 32 bit version and ran YUM update again. I will post if all goes well but it looks OK at this stage as it has passed the error

Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction

gilesaj
Posts: 47
Joined: 2006/08/16 23:53:23
Location: Australia
Contact:

Re: Error after YUM Update

Post by gilesaj » 2010/11/24 06:01:22

Well the install continued for a while till it seems to have stuck on Install of Kernel.

Updating : hwdata ################### [ 360/1046]
Updating : pciutils ################### [ 361/1046]
Installing: kernel ################### [ 362/1046]


The curser has been sitting under the last command for over 30 minutes. I will keep waiting but is there something I can do if it does not get past this point. Should I cnt C out of this and try Yum update again ???
Sould I reboot the PC to use the new kernel ??

Thanks

gilesaj
Posts: 47
Joined: 2006/08/16 23:53:23
Location: Australia
Contact:

Re: Error after YUM Update

Post by gilesaj » 2010/11/24 12:16:52

I have waited eight hours which is good for me. I know that most contributers would have been tucked up in bed during that time.

I stopped the install and started it again and it is updating again but with a smaller download.

Install 12 Package(s)
Update 163 Package(s)
Remove 0 Package(s)

Total download size: 202 M


So I will let you know what happens.........

gilesaj
Posts: 47
Joined: 2006/08/16 23:53:23
Location: Australia
Contact:

Re: Error after YUM Update

Post by gilesaj » 2010/11/24 13:37:40

That was a big mistake. All I got was a bunch, pages of errors on the screen. So I rebooted the PC and it did not start correctly and I had to go to the safe screen and logged in as root and tried to YUM Update again.

It started to do the update and I downloaded another 200 MB of updates but when it did the transaction test I got a bunch of errors that I needed to delete more i386 software.

I ran YUM Install after removing the software and it looks like all is well.

The only thing is that it is still loading kernal 2.6.18-8.el5 and not the new one that it downloaded ???

Lazlow
Posts: 168
Joined: 2007/09/21 16:55:45

Re: Error after YUM Update

Post by Lazlow » 2010/12/02 02:26:10

'package dmraid-1.0.0.rc14-5_RHEL4_U5'

That would indicate that you are running RHEL4 update 5 and not RHEL5. You cannot mix and match rpms across major revisions(at least not safely).

Post the results of:

cat /etc/redhat-release

gilesaj
Posts: 47
Joined: 2006/08/16 23:53:23
Location: Australia
Contact:

Re: Error after YUM Update

Post by gilesaj » 2010/12/06 09:33:22

Hi

You can close this thread as I have moved the server over to another machine and loaded 5.5.

Thanks

Post Reply

Return to “CentOS 5 - X86_64,s390(x) and PowerPC Support”